Name: apcupsd
Version: 3.10.5
Release: alt1
%define _cgibin /var/www/cgi-bin

Summary: Power management software for APC UPS hardware
License: GPL
Group: System/Servers
Url: http://www.apcupsd.org/

Source: ftp://ftp.apcupsd.com/pub/%name/development/%name-%version.tar.bz2
Patch2: %name-3.10.5-alt-specific.patch
Patch3: %name-3.10.5-alt-usb_killpower.patch
Patch4: %name-3.10.5-cvs-daemonize.patch

Requires: initscripts >= 5.49-ipl29mdk

%def_disable cgi

# Automatically added by buildreq on Mon Dec 23 2002
BuildRequires: XFree86-devel libncurses-devel libtinfo-devel

%description -n %name
UPS power management under Linux for APCC Products.
It allows your computer/server to run during power problems
for a specified length of time or the life of the batteries
in your BackUPS, BackUPS Pro, SmartUPS v/s, or SmartUPS, and
then properly executes a controlled shutdown during an
extended power failure.

%package cgi
Summary: Web status for UPS
Group: Networking/Other
Requires: %name = %version-%release, apache-common

%description cgi
Web status for UPS.

%prep
%setup -q
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
export ac_cv_path_MAIL=/bin/mail
export ac_cv_path_ETAGS=/usr/bin/ctags
export ac_cv_path_CTAGS=/usr/bin/ctags
%add_optflags -DCSS_DIR="\"\\\"./\\\"\""
autoconf -I autoconf autoconf/configure.in > configure
autoheader -I autoconf autoconf/configure.in > autoconf/config.h.in
%configure \
	--sbindir=/sbin \
	--sysconfdir=%_sysconfdir/%name \
	--with-log-dir=%_localstatedir/%name \
	--with-lock-dir=%_lockdir/serial \
	--enable-powerflute \
	--enable-pthreads \
	--enable-nls \
	%{subst_enable cgi} \
	--enable-usb \
	--disable-snmp \
	--with-cgi-bin=%_cgibin \
	--with-css-dir=./ \
	--with-nisip=127.0.0.1 \
	--with-distname=altlinux

# SMP-incompatible build.
make

%install
%__mkdir_p $RPM_BUILD_ROOT{%_sbindir,%_initdir,%_cgibin,%_localstatedir/%name}
%makeinstall \
	sysconfdir=$RPM_BUILD_ROOT%_sysconfdir/%name \
	sbindir=$RPM_BUILD_ROOT/sbin \
	mandir=$RPM_BUILD_ROOT%_man8dir \
	cgibin=$RPM_BUILD_ROOT%_cgibin \
	CSS_DIR=$RPM_BUILD_ROOT%_cgibin \
	#
pushd $RPM_BUILD_ROOT/sbin
	for f in apc*; do
		%__ln_s ../../sbin/"$f" ..%_sbindir/
	done
	%__mv powerflute ..%_sbindir/
popd

%find_lang %name

%post
%post_service %name

%preun
%preun_service %name

%files -n %name -f %name.lang
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/*
%config(noreplace) %_initdir/%name
/sbin/*
%_sbindir/*
%_localstatedir/%name
%_mandir/man?/*
%doc ChangeLog Developers INSTALL doc examples

%if_enabled cgi
%files cgi
%_cgibin/*
%endif

%changelog
* Wed Apr 30 2003 Sergey Vlasov <vsu@altlinux.ru> 3.10.5-alt1
- Updated to 3.10.5.
- Dropped old patch for gcc3 support.
- Updated alt-specific patch.
- Built --with-nisip=127.0.0.1 (previously set by the patch).
- Patch to fix killpower for USB UPSes (apcupsd part; the kernel fix is
  also needed to make killpower work).
- Patch from CVS to daemonize properly (previously stdin was not closed).

* Mon Dec 23 2002 Dmitry V. Levin <ldv@altlinux.org> 3.10.1-alt2
- Fixed scripts (broken in 3.10.1-alt1).
- Specfile cleanup.
- Built --with-lock-dir=%%_lockdir/serial.
- Additional convention enforcement on patch file names.
- Disabled cgi subpackage (unclean build).

* Fri Dec 06 2002 Kachalov Anton <mouse@altlinux.ru> 3.10.1-alt1
- Updated to 3.10.1
- Fixed build with gcc3
- Enabled usb support
- Moved web stuff to separate subpackage.

* Mon Aug 20 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.8.2-alt1
- 3.8.2
- Moved important binaries from %_sbindir to /sbin.

* Wed Jan 24 2001 Dmitry V. Levin <ldv@fandra.org> 3.8.1-ipl1mdk
- RE adaptions (a lot).

* Mon Dec  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.8.0-1mdk
- new version

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.7.0-3mdk
- %%postun => %%preun

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.7.0-2mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.7.0-1mdk
- first mandrake version
